import type { _MTRDevice } from "./MTRDevice.js";
import type { _MTRGenericCluster } from "./MTRGenericCluster.js";
import type { _MTRHEPAFilterMonitoringClusterResetConditionParams } from "./MTRHEPAFilterMonitoringClusterResetConditionParams.js";
import type { _MTRReadParams } from "./MTRReadParams.js";
import type { _MTRWriteParams } from "./MTRWriteParams.js";
import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSDictionary } from "../Foundation/NSDictionary.js";
import type { _NSError } from "../Foundation/NSError.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRClusterHEPAFilterMonitoring extends _MTRGenericCluster {
    static alloc(): _MTRClusterHEPAFilterMonitoring;
    static new(): _MTRClusterHEPAFilterMonitoring;
    init(): _MTRClusterHEPAFilterMonitoring;
    resetConditionWithParams$expectedValues$expectedValueInterval$completion$(params: _MTRHEPAFilterMonitoringClusterResetConditionParams | null, expectedDataValueDictionaries: _NSArray | null, expectedValueIntervalMs: _NSNumber | null, completion: (arg0: _NSError) => void): void;
    resetConditionWithExpectedValues$expectedValueInterval$completion$(expectedValues: _NSArray | null, expectedValueIntervalMs: _NSNumber | null, completion: (arg0: _NSError) => void): void;
    readAttributeConditionWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeDegradationDirectionWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeChangeIndicationWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeInPlaceIndicatorWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeLastChangedTimeWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    writeAttributeLastChangedTimeWithValue$expectedValueInterval$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber): void;
    writeAttributeLastChangedTimeWithValue$expectedValueInterval$params$(dataValueDictionary: _NSDictionary, expectedValueIntervalMs: _NSNumber, params: _MTRWriteParams | null): void;
    readAttributeReplacementProductListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeGeneratedCommandListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeAcceptedCommandListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeAttributeListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeFeatureMapWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeClusterRevisionWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    /**
     * For all instance methods that take a completion (i.e. command invocations), the completion will be called on the provided queue.
     */
    initWithDevice$endpointID$queue$(device: _MTRDevice, endpointID: _NSNumber, queue: _NSObject): _MTRClusterHEPAFilterMonitoring | null;
}
